<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections></configSections>
  <appSettings>
    <add key="ClientBaseAddress" value="http://login.gib.service.elpo.com.tr" />
    <add key="ClientSettingsProvider.ServiceUri" value="" />
    <add key="ClientMySoftLoginURL" value="https://edocumentapi.mysoft.com.tr/oauth/token" />
    <add key="ClientMySfotSendInvoiceURL" value="https://edocumentapi.mysoft.com.tr/api/InvoiceOutbox/invoiceOutboxWithUblXml" />
    <add key="ClientMySfotCheckVKNURL" value="https://edocumentapi.mysoft.com.tr/api/GeneralCard/getGibAccountModel" />
    <add key="ClientMySfotGetInvoiceFileURL" value="https://edocumentapi.mysoft.com.tr/api/InvoiceOutbox/getInvoiceOutboxPdfAsZip" />
    <add key="ClientMySoftGetMyInvoiceList" value="https://edocumentapi.mysoft.com.tr/api/InvoiceInbox/getInvoiceInboxListForPeriod" />
    <add key="ClientMySoftGetMyInvoiceModel" value="https://edocumentapi.mysoft.com.tr/api/InvoiceInbox/getInvoiceInboxModel" />
    <add key="ClientMySoftSendDespathcUrl" value="https://edocumentapi.mysoft.com.tr/api/DespatchOutbox/despatchOutboxWithUblXml" />
    <add key="ClientMySfotGetDespatchFileURL" value="https://edocumentapi.mysoft.com.tr/api/DespatchOutbox/getDespatchOutboxPdfAsZip" />
    <add key="ClientMySoftSendInvoiceGibUrl" value="https://edocumentapi.mysoft.com.tr/api/Invoice/invoiceDraftSendToGibUblXml" />
    <add key="ClientMySoftSendtMail" value="https://edocumentapi.mysoft.com.tr/api/InvoiceOutbox/sendMailForInvoice" />
    <add key="ClientSendInvoiceStatusURl" value="https://edocumentapi.mysoft.com.tr/api/InvoiceOutbox/getInvoiceOutboxStatus" />
    <add key="ClientGetDespatchHeader" value="https://edocumentapi.mysoft.com.tr/api/DespatchInbox/getDespatchInboxListForPeriod" />
    <add key="ClientGetDespatchDetail" value="https://edocumentapi.mysoft.com.tr/api/DespatchInbox/getDespatchInboxModel" />
    <add key="ClientBienSendURL" value="https://connect.bienteknoloji.com.tr/Services/Integration" />
    <add key="ClientEdmSecretKey" value="680A1FB6-805F-49F7-82D8-531F64A9B620" />
    <add key="BalanceDisplay" value="false" />
    <add key="ExportMinister" value="Vkn:1460415308;Name:Gümrük ve Ticaret Bakanlığı Gümrükler Genel Müdürlüğü- Bilgi İşlem Dairesi Başkanlığı;City:Ankara;Country:Türkiye;TaxScheme:Ulus;Etiket:urn:mail:ihracatpk@gtb.gov.tr" />
  </appSettings>
  <startup>
    <supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.7.2" />
  </startup>
  <system.serviceModel>
    <bindings>
      <basicHttpBinding>
        <binding name="DespatchBasic" />
        <binding name="EInvoiceBasic" maxReceivedMessageSize="65536998" />
        <binding name="EArchiveBasic" maxReceivedMessageSize="2147483647" />
        <binding name="EInvoiceBasic1" />
        <binding name="EFaturaEDMPort" closeTimeout="00:10:00" openTimeout="00:10:00" sendTimeout="00:10:00" maxBufferPoolSize="524288" maxReceivedMessageSize="2147483647">
          <security mode="Transport" />
        </binding>
        <binding name="EIrsaliyeEDMPort">
          <security mode="Transport" />
        </binding>
        <binding name="CreditNoteBasic" />
        <binding name="CreditNoteBasic1" />
        <binding name="BasicHttpBinding_IIntegration" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" maxBufferPoolSize="524288" maxReceivedMessageSize="65536998">
          <security mode="TransportWithMessageCredential" />
        </binding>
        <binding name="BasicHttpBinding_IIntegration1" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" maxBufferPoolSize="524288" maxReceivedMessageSize="65536998">
          <security mode="TransportWithMessageCredential" />
        </binding>
      </basicHttpBinding>
      <wsHttpBinding>
        <binding name="Despatch" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="EInvoice" maxReceivedMessageSize="2147483647" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="EArchive" maxReceivedMessageSize="2147483647" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="EInvoice1" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="CreditNote" maxReceivedMessageSize="2147483647" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
        <binding name="CreditNote1" messageEncoding="Mtom">
          <security mode="None" />
        </binding>
      </wsHttpBinding>
      <basicHttpsBinding>
        <binding name="IntegrationServiceSoap" closeTimeout="00:01:00" openTimeout="00:01:00" receiveTimeout="00:10:00" sendTimeout="00:01:00" maxBufferPoolSize="524288" maxReceivedMessageSize="65536998" />
      </basicHttpsBinding>
    </bindings>
    <client>
      <endpoint address="https://netdespatchintegrationwithoutmtomtest.eveelektronik.com.tr/IntegrationService.asmx" binding="basicHttpsBinding" bindingConfiguration="IntegrationServiceSoap" contract="DTPIntegrationDespatch.IntegrationServiceSoap" name="IntegrationServiceSoap" />
      <endpoint address="http://earchive.gib.service.elpo.com.tr/IntegrationEArchiveService.svc" binding="wsHttpBinding" bindingConfiguration="EArchive" contract="IntegrationEArchiveService.IIntegrationEArchiveService" name="EArchive" />
      <endpoint address="http://earchive.gib.service.elpo.com.tr/IntegrationEArchiveService.svc/basic" binding="basicHttpBinding" bindingConfiguration="EArchiveBasic" contract="IntegrationEArchiveService.IIntegrationEArchiveService" name="EArchiveBasic" />
      <endpoint address="http://invoice.gib.service.elpo.com.tr/IntegrationInvoiceService.svc" binding="wsHttpBinding" bindingConfiguration="EInvoice" contract="IntecrationInvoice.IIntegrationInvoiceService" name="EInvoice" />
      <endpoint address="http://invoice.gib.service.elpo.com.tr/IntegrationInvoiceService.svc/basic" binding="basicHttpBinding" bindingConfiguration="EInvoiceBasic" contract="IntecrationInvoice.IIntegrationInvoiceService" name="EInvoiceBasic" />
      <endpoint address="http://despatch.gib.service.elpo.com.tr/IntegrationDespatchService.svc" binding="wsHttpBinding" bindingConfiguration="Despatch" contract="IntegrationDespatch.IIntegrationDespatchService" name="Despatch" />
      <endpoint address="http://despatch.gib.service.elpo.com.tr/IntegrationDespatchService.svc/basic" binding="basicHttpBinding" bindingConfiguration="DespatchBasic" contract="IntegrationDespatch.IIntegrationDespatchService" name="DespatchBasic" />
      <endpoint address="http://creditnote.gib.service.elpo.com.tr/IntegrationCreditNoteService.svc" binding="wsHttpBinding" bindingConfiguration="CreditNote" contract="IntegrationCreditNote.IIntegrationCreditNoteService" name="CreditNote" />
      <endpoint address="http://creditnote.gib.service.elpo.com.tr/IntegrationCreditNoteService.svc/basic" binding="basicHttpBinding" bindingConfiguration="CreditNoteBasic" contract="IntegrationCreditNote.IIntegrationCreditNoteService" name="CreditNoteBasic" />
      <endpoint address="http://creditnote.gib.service.elpo.com.tr/IntegrationCreditNoteService.svc" binding="wsHttpBinding" bindingConfiguration="CreditNote1" contract="IntegrationCreditNoteService.IIntegrationCreditNoteService" name="CreditNote1" />
      <endpoint address="http://creditnote.gib.service.elpo.com.tr/IntegrationCreditNoteService.svc/basic" binding="basicHttpBinding" bindingConfiguration="CreditNoteBasic1" contract="IntegrationCreditNoteService.IIntegrationCreditNoteService" name="CreditNoteBasic1" />
      <endpoint address="http://connect.bienteknoloji.com.tr/Services/BasicIntegration" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IIntegration" contract="Connect.IIntegration" name="BasicHttpBinding_IIntegration" />
      <endpoint address="https://connect.bienteknoloji.com.tr/Services/Integration" binding="basicHttpBinding" bindingConfiguration="BasicHttpBinding_IIntegration1" contract="BienService.IIntegration" name="BasicHttpBinding_IIntegration1" />
      <endpoint address="https://portal2.edmbilisim.com.tr/EFaturaEDM/EFaturaEDM.svc" binding="basicHttpBinding" bindingConfiguration="EFaturaEDMPort" contract="IntegrationInvoiceEDM.EFaturaEDMPort" name="EFaturaEDMPort" />
      <endpoint address="https://portal2.edmbilisim.com.tr/EFaturaEDM/EIrsaliyeEDM.svc" binding="basicHttpBinding" bindingConfiguration="EIrsaliyeEDMPort" contract="IntegrationDespathcEDM.EIrsaliyeEDMPort" name="EIrsaliyeEDMPort" />
    </client>
  </system.serviceModel>
  <system.web>
    <membership defaultProvider="ClientAuthenticationMembershipProvider">
      <providers>
        <add name="ClientAuthenticationMembershipProvider" type="System.Web.ClientServices.Providers.ClientFormsAuthenticationMembershipProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" />
      </providers>
    </membership>
    <roleManager defaultProvider="ClientRoleProvider" enabled="true">
      <providers>
        <add name="ClientRoleProvider" type="System.Web.ClientServices.Providers.ClientRoleProvider, System.Web.Extensions, Version=4.0.0.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35" serviceUri="" cacheTimeout="86400" />
      </providers>
    </roleManager>
  </system.web>
  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Extensions" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-2.2.29.0" newVersion="2.2.29.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Net.Http.Primitives" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.29.0" newVersion="4.2.29.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Newtonsoft.Json" publicKeyToken="30ad4fe6b2a6aeed" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-13.0.0.0" newVersion="13.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Runtime.CompilerServices.Unsafe" publicKeyToken="b03f5f7f11d50a3a" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Memory" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.1.1" newVersion="4.0.1.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Primitives" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.4.0" newVersion="3.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.Abstractions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.4.0" newVersion="3.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileProviders.Abstractions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.4.0" newVersion="3.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileSystemGlobbing" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.4.0" newVersion="3.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.4.0" newVersion="3.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.FileProviders.Physical" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.4.0" newVersion="3.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Threading.Tasks.Extensions" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.2.0.1" newVersion="4.2.0.1" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.ValueTuple" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Buffers" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-4.0.3.0" newVersion="4.0.3.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Extensions.Configuration.FileExtensions" publicKeyToken="adb9793829ddae60" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.1.4.0" newVersion="3.1.4.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="System.Text.Json" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
      <dependentAssembly>
        <assemblyIdentity name="Microsoft.Bcl.AsyncInterfaces" publicKeyToken="cc7b13ffcd2ddd51" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-6.0.0.0" newVersion="6.0.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
</configuration>